Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class CompileTask

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Javac
                        |
                        +--org.apache.tools.ant.taskdefs.CompileTask

Deprecated. use <taskdef> elements nested into <target>s instead

public class CompileTask
extends Javac

This task will compile and load a new taskdef all in one step. At times, this is useful for eliminating ordering dependencies which otherwise would require multiple executions of Ant.

Author:
  Sam Ruby rubys@us.ibm.com

Field Summary
`protected java.util.Vector` | `taskList` Deprecated.

Fields inherited from class org.apache.tools.ant.taskdefs.Javac
`compileList, failOnError`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`CompileTask()` Deprecated.

Method Summary
`Taskdef` | `createTaskdef()` Deprecated. add a new task entry on the task list
`void` | `execute()` Deprecated. have execute do nothing
`void` | `init()` Deprecated. do all the real work in init

Methods inherited from class org.apache.tools.ant.taskdefs.Javac
`createBootclasspath, createClasspath, createExtdirs, createSrc, getBootclasspath, getClasspath, getDebug, getDepend, getDeprecation, getDestdir, getEncoding, getExtdirs, getFailonerror, getFileList, getIncludeantruntime, getIncludejavaruntime, getOptimize, getSrcdir, getTarget, getVerbose, resetFileLists, scanDir, setBootclasspath, setBootClasspathRef, setClasspath, setClasspathRef, setDebug, setDepend, setDeprecation, setDestdir, setEncoding, setExtdirs, setFailonerror, setIncludeantruntime, setIncludejavaruntime, setOptimize, setProceed, setSrcdir, setTarget, setVerbose`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, createPatternSet, getDirectoryScanner, setDefaultexcludes, setExcludes, setExcludesfile, setIncludes, setIncludesfile, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taskList

    protected java.util.Vector taskList

  Deprecated.

Constructor Detail

### CompileTask

    public CompileTask()

  Deprecated.

Method Detail

### createTaskdef

    public Taskdef createTaskdef()

  Deprecated.
  add a new task entry on the task list

### init

    public void init()

  Deprecated.
  do all the real work in init
  Overrides:
    `init` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### execute

    public void execute()

  Deprecated.
  have execute do nothing
  Overrides:
    `execute` in class `Javac`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.